Subject: RE: bug#1305: [External] : bug#1305: All code that currently beeps should use visual bell instead

From: Drew Adams <[email-masked]>
Date: Sat, 1 May 2021 14:13:13 +0000

> > What part of the `echo-bell' "animation" in the echo area didn't you
> > like?
> 
> You may have seen earlier in this thread that having to wait for the
> end of the animation to see the error message is not considered optimal.

"is not considered": passive voice.  Who doesn't
consider it, and why?  Have the passive voicers
actually tried it?

The default period to "wait" is 0.2 sec.  Having to
wait 0.2 sec is "not considered optimal" by default?
Really?  In that case, change the default to 0.02
sec or whatever the passive voices consider optimal.

Seriously, this thread seems way overblown to me.
All the talk of different platforms, animations...

What's needed - regardless of what default behavior
is chosen, is a simple way for users to customize
things.  I mentioned the kinds of things.  And I
mentioned that it's an additional advantage to have
the indication be recorded in *Messages*.

Provide that additional advantage and some ways for
users to customize the behavior in various ways, and
be sure to do it with Lisp, and you should get a
usable, cross-platform feature.  Then you can argue
about the default behavior...

It should be clear, I hope, that I don't really care
what Emacs does in this regard, beyond thinking that
things should be kept simple and flexible.  I didn't
write the initial code behind echo-bell (Miles Bader
did), and I don't even use it!  I just turn off sound,
for the most part, and I don't need an alarm of any kind.